Create a fact-find session Run in API Explorer
Ask AI
Body
-
The UUID of the fact find template that you would like the client to use.
-
The UUID of the client account to send the fact find request. This must only be individual clients. Cannot be used with circle_uuid.
-
The UUID of the circle to send the fact find request to. Cannot be used with client_uuid.
-
This controls if an email to the client is sent to invite them to complete a fact find. Set this to false if you are going to send your own invitation.
-
The text that will appear in the invitation email sent to the client (if enabled)
POST
/api/v2/fact-find/session
curl \
--request POST 'https://api.plannrcrm.com/api/v2/fact-find/session' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"fact_find_template_uuid": "758846f2-ff03-44bc-a239-8310a27e5b23",
"client_uuid": "8cbae59c-2701-476e-b35d-8a23cd1fa574",
"circle_uuid": "44d16bbb-aca5-471e-94bc-7cf43b11af70",
"send_invitation_email": true,
"invitation_text": "Please complete this fact find."
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"fact_find_template_uuid": "758846f2-ff03-44bc-a239-8310a27e5b23",
"client_uuid": "8cbae59c-2701-476e-b35d-8a23cd1fa574",
"circle_uuid": "44d16bbb-aca5-471e-94bc-7cf43b11af70",
"send_invitation_email": true,
"invitation_text": "Please complete this fact find."
}
Response examples (201)
{
"uuid": "52ade74f-2056-4746-906e-96605dbdc178",
"created_at": "2026-10-30T16:30:06+00:00",
"updated_at": "2026-10-30T16:30:06+00:00",
"status": "complete",
"completed_at": "2026-10-25T16:30:06+00:00",
"invitation_text": "Please complete this fact find!",
"template": {
"uuid": "4625ae99-0ca0-432b-bd8c-1c6ca10e14b0",
"created_at": "2026-10-30T16:30:06+00:00",
"updated_at": "2026-10-30T16:30:06+00:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-10-29T16:30:06+00:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0,
"sections": {
"uuid": "67bbd369-4355-495e-b4b2-db6b67cf29ea",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false
}
},
"latest_file": {
"uuid": "e775ad34-1673-4f02-851d-660754f39c7d",
"created_at": "2026-10-30T16:30:06+00:00",
"original_created_at": "2026-10-30T16:30:06+00:00",
"updated_at": "2026-10-30T16:30:06+00:00",
"uploaded_at": "2026-10-30T16:30:06+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-30T16:30:06+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/6430b7e6-b3ba-4bb2-9db2-832930d3470b/download",
"preview_url": "https://api.plannrcrm.com/file/6fbf1f38-742e-4304-99bd-d4252db51c5b/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "b8d6a125-f01d-4e78-a474-3ff40ba21596",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "6561fe46-f347-497e-97c2-83cc47a8a29e"
},
"firm": {
"uuid": "1f862346-f3aa-4165-a914-a92b12a0f570",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "c9275f85-1e2f-43ac-b01c-7bcacd457232",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "e364f050-6872-4bbe-86ae-19b48d88dbca",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
},
"account": {
"uuid": "a3ceee5a-99ee-4872-9c61-a977787131a3",
"created_at": "2026-10-30T16:30:06+00:00",
"updated_at": "2026-10-30T16:30:06+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "239840c7-476b-43a0-b194-d63787e8cb83",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"invitation_url": "https://api.plannrcrm.com/fact-find-session/9515d76b-6f60-411b-974c-27f152c6481d"
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}